Lingxing
切换旧版

同步STA任务到ERP

POST/amzStaServer/openapi/inbound-plan/gatherInboundPlan

接口信息

API Path请求协议请求方式令牌桶容量
/amzStaServer/openapi/inbound-plan/gatherInboundPlanHTTPSPOST1

请求参数

inboundPlanIdListarray<any>必填
STA任务编号,对应创建STA任务接口对应字段【inboundPlanId】
sidinteger必填
店铺id,对应查询亚马逊店铺列表接口对应字段【sid】

请求cURL示例

curl --location 'https://openapi.lingxing.com/amzStaServer/openapi/inbound-plan/gatherInboundPlan?access_token=value&timestamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
    "inboundPlanIdList": ["wf0a914e89-d126-4ed9-a093-2078289fed05"],
    "sid": 1
}'

返回结果

codeinteger必填
状态码,0 成功
示例 0
messagestring必填
消息提示
示例 success
errorDetailsarray<any>必填
错误信息
requestIdstring必填
请求链路id
responseTimestring必填
响应时间
示例 2020-05-18 11:23:47
dataobject必填
响应数据
隐藏子属性
errorMsgstring必填
失败原因
failInboundPlanIdsarray<any>必填
同步失败STA任务编号数组
failNuminteger必填
同步失败数量
successInboundPlanIdsarray<any>必填
同步成功的STA任务编号数组
successNuminteger必填
同步成功数量

返回成功示例

{
    "code": 0,
    "message": "操作成功",
    "errorDetails": [],
    "requestId": "3b3d867e7d014971a580549f107c8c5a.1732773886069",
    "responseTime": "2024-11-28T14:04:46.069",
    "data": {
        "errorMsg": "失败原因",
        "failInboundPlanIds": ["同步失败STA任务编号"],
        "failNum": 1,
        "successInboundPlanIds": ["同步成功的STA任务编号"],
        "successNum": 1
    }
}